=== debian/changelog ===
octomap (1.9.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Fix install directories
  * Fix dversionmangle and watch file standard
  * Added patch to fix CMAKE_INSTALL_FULL_LIBDIR
  * Rebase patches.
  * Added missing directory
  * Bump Standards version and debhelper-compat
  * Add again CMAKE_SKIP_INSTALL_RPATH=ON and drop DEB_LDFLAGS_MAINT_APPEND
  * Delete lintian overrides
  * Drop trailing-whitespace
  * Drop excluding armel and armhf archs. Now that libqglviewer build in all,
    octomap too.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 10 Jan 2021 19:58:47 +0100
