=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=4

# For GitHub projects you can use the tags page:
#opts=dversionmangle=s/\+dfsg// \
opts=dversionmangle=s/\+dfsg\d?$//,repacksuffix=+dfsg \
 https://github.com/OctoMap/octomap/tags .*/v?(\d\S*)\.tar\.gz
