## octomap 1.9.7%2Bdfsg

=== debian/changelog ===
octomap (1.9.7+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix errors with recent compilers and C++17/20 standard (#394)
    (Closes: #1075332)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Jul 2024 07:24:16 +0200

octomap (1.9.7+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063227

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:43:28 +0000

octomap (1.9.7+dfsg-3) unstable; urgency=medium

  * Move to unstable

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 26 Aug 2021 18:30:54 +0000

octomap (1.9.7+dfsg-1) experimental; urgency=medium

  * Add excludes for github and travis
  * New upstream version 1.9.7+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Jun 2021 18:53:35 +0000

octomap (1.9.6+dfsg-1) experimental; urgency=medium

  * New upstream version 1.9.6+dfsg

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 30 Apr 2021 16:08:27 +0000
