## octomap 1.10.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,8 @@
 
 if(BUILD_OCTOVIS_SUBPROJECT)
 	ADD_SUBDIRECTORY( octovis )
-endif()		
+endif()
 
-if(BUILD_DYNAMICETD3D_SUBPROJECT)	
+if(BUILD_DYNAMICETD3D_SUBPROJECT)
 	ADD_SUBDIRECTORY( dynamicEDT3D )
-endif()		
-
-
+endif()
