=== dynamicEDT3D/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
 PROJECT(dynamicEDT3D)
 
 include(CTest)
@@ -6,8 +6,8 @@
 
 # version (e.g. for packaging)
 set(DYNAMICEDT3D_MAJOR_VERSION 1)
-set(DYNAMICEDT3D_MINOR_VERSION 9)
-set(DYNAMICEDT3D_PATCH_VERSION 7)
+set(DYNAMICEDT3D_MINOR_VERSION 10)
+set(DYNAMICEDT3D_PATCH_VERSION 0)
 set(DYNAMICEDT3D_VERSION ${DYNAMICEDT3D_MAJOR_VERSION}.${DYNAMICEDT3D_MINOR_VERSION}.${DYNAMICEDT3D_PATCH_VERSION})
 set(DYNAMICEDT3D_SOVERSION ${DYNAMICEDT3D_MAJOR_VERSION}.${DYNAMICEDT3D_MINOR_VERSION})
 
@@ -76,19 +76,20 @@
 #TODO: this conflicts with the octomap uninstall
 #it is not only a target name problem, also both will use the same manifest file
 #in the same binary directory
-#configure_file(
-#    "${PROJECT_SOURCE_DIR}/CMakeModules/CMakeUninstall.cmake.in"
-#    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
-#    IMMEDIATE @ONLY)
-#
-#add_custom_target(uninstall
-#    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+if(NOT TARGET uninstall)
+    configure_file(
+        "${PROJECT_SOURCE_DIR}/CMakeModules/CMakeUninstall.cmake.in"
+        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+        IMMEDIATE @ONLY)
 
+    add_custom_target(uninstall
+        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+endif()
 
 # Export the package for use from the build-tree
 # (this registers the build-tree with a global CMake-registry)
 export(PACKAGE dynamicEDT3D)
- 
+
 # Create a dynamicEDT3DConfig.cmake file for the use from the build tree
 set(DYNAMICEDT3D_INCLUDE_DIRS "${INCLUDE_DIRS}")
 set(DYNAMICEDT3D_LIB_DIR "${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")
@@ -122,7 +123,7 @@
 #install(EXPORT FooBarLibraryDepends DESTINATION
 #  "${INSTALL_DATA_DIR}/FooBar/CMake"
 #  COMPONENT dev)
- 
+
 # Create a dynamicEDT3DConfig.cmake file for the use from the install tree
 # and install it
 set(DYNAMICEDT3D_INCLUDE_DIRS "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
@@ -145,7 +146,7 @@
 
 install(FILES
   "${PROJECT_BINARY_DIR}/InstallFiles/dynamicEDT3DConfig.cmake"
-  "${PROJECT_BINARY_DIR}/InstallFiles/dynamicEDT3DConfig-version.cmake" 
+  "${PROJECT_BINARY_DIR}/InstallFiles/dynamicEDT3DConfig-version.cmake"
   DESTINATION "${CMAKE_INSTALL_DATADIR}/dynamicEDT3D")
 
 # Write pkgconfig-file:
@@ -157,7 +158,7 @@
     VERSION ${DYNAMICEDT3D_VERSION})
 
 
-# Documentation 
+# Documentation
 FIND_PACKAGE(Doxygen)
 IF(DOXYGEN_FOUND)
   ADD_CUSTOM_TARGET(docs_dynamicEDT3D ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/dynamicEDT3D.dox
@@ -169,7 +170,7 @@
 INCLUDE(CPackSettings)
 
 # Finished:
-MESSAGE ("\n")
+MESSAGE (STATUS "\n")
 MESSAGE (STATUS "Compile dynamicEDT3D using: make")
 MESSAGE (STATUS "Install dynamicEDT3D using: make install")
 MESSAGE (STATUS "    (be sure to set the correct CMAKE_INSTALL_PREFIX before)")
