=== octomap/src/testing/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,9 @@
   ADD_EXECUTABLE(test_pruning test_pruning.cpp)
   TARGET_LINK_LIBRARIES(test_pruning octomap octomath)
 
+  ADD_EXECUTABLE(test_bbx test_bbx.cpp)
+  TARGET_LINK_LIBRARIES(test_bbx octomap)
+
 
   # CTest tests below
 
@@ -46,4 +49,7 @@
   ADD_TEST (NAME test_iterators     COMMAND test_iterators ${PROJECT_SOURCE_DIR}/share/data/geb079.bt)
   ADD_TEST (NAME test_mapcollection COMMAND test_mapcollection ${PROJECT_SOURCE_DIR}/share/data/mapcoll.txt)
   ADD_TEST (NAME test_color_tree    COMMAND test_color_tree)
+  ADD_TEST (NAME test_bbx           COMMAND test_bbx)
+
+  SET_TESTS_PROPERTIES (ReadGraph PROPERTIES DEPENDS InsertScan)
 endif()
