=== debian/changelog ===
octomap (1.10.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Nov 2025 10:31:52 +0100

octomap (1.10.0+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Avoid build path in installed files
  * Fix cmake_minimum_required() call in autopkgtest
  * Install CMake config to LIBDIR

 -- Timo Röhling <roehling@debian.org>  Tue, 14 Oct 2025 12:21:42 +0200

octomap (1.10.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.10.0+dfsg
  * d/rules: override cmake rules to >3.5 (Closes: #1113341)
  * d/patches: Remove patch to fix build errors with recent compilers
  * d/control: Updates for 1.10 version, remove old Breaks/Replaces/Conflicts
  * Remove now obsolete uses of symlink_to_dir
  * d/watch: Upgrade to v5.

 -- Jose Luis Blanco Claraco <joseluisblancoc@gmail.com>  Thu, 09 Oct 2025 22:31:00 +0200
