=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
            Jose Luis Rivero <jrivero@osrfoundation.org>,
            Juhani Numminen <juhaninumminen0@gmail.com>
-Build-Depends: debhelper-compat (= 13), cmake, qtbase5-dev, libqglviewer-dev-qt5
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake, qtbase5-dev, libqglviewer-dev-qt5
+Standards-Version: 4.7.2
 Homepage: https://octomap.github.io
 Vcs-Browser: https://salsa.debian.org/science-team/octomap
 Vcs-Git: https://salsa.debian.org/science-team/octomap.git
 
-Package: liboctomap1.9
+Package: liboctomap1.10
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -27,8 +26,6 @@
 Package: octomap-tools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: liboctomap1.8
-Replaces: liboctomap1.8
 Description: Tools for 3D occupancy grid mapping
  The OctoMap library implements a 3D occupancy grid mapping approach,
  providing data structures and mapping algorithms in C++ particularly suited
@@ -40,10 +37,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liboctomap1.9 (= ${binary:Version}),
+Depends: liboctomap1.10 (= ${binary:Version}),
          ${misc:Depends}
-Conflicts: liboctomap1.8
-Replaces: liboctomap1.8
 Description: Octomap library development files
  The OctoMap library implements a 3D occupancy grid mapping approach,
  providing data structures and mapping algorithms in C++ particularly suited
@@ -51,7 +46,7 @@
  to meet the following requirements: Full 3D model, Updatable, Flexible and
  Compact. This package contains the development stuff.
 
-Package: libdynamicedt3d1.9
+Package: libdynamicedt3d1.10
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -66,10 +61,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libdynamicedt3d1.9 (= ${binary:Version}), liboctomap-dev,
+Depends: libdynamicedt3d1.10 (= ${binary:Version}), liboctomap-dev,
          ${misc:Depends}
-Conflicts: libdynamicedt3d1.8
-Replaces: libdynamicedt3d1.8
 Description: dynamicEDT3D library development files
  The dynamicEDT3D library implements an incrementally updatable Euclidean
  distance transform (EDT) in 3D. It comes with a wrapper to use the OctoMap
@@ -77,7 +70,7 @@
  to propagate changes to the EDT. This package contains the development
  files.
 
-Package: liboctovis1.9
+Package: liboctovis1.10
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -91,10 +84,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: liboctovis1.9 (= ${binary:Version}), liboctomap-dev,
+Depends: liboctovis1.10 (= ${binary:Version}), liboctomap-dev,
          ${misc:Depends}
-Conflicts: liboctomap1.8
-Replaces: liboctomap1.8
 Description: Visualization library for OctoMap development files
  Visualization library for the OctoMap library based on Qt and libQGLViewer.
  This library encapsulates the functions to view a Octomap octrees. This package
@@ -102,10 +93,8 @@
 
 Package: octovis
 Architecture: any
-Depends: liboctovis1.9 (= ${binary:Version}),
+Depends: liboctovis1.10 (= ${binary:Version}),
          ${misc:Depends}, ${shlibs:Depends},
-Conflicts: liboctomap1.8
-Replaces: liboctomap1.8
 Description: Visualization tool for OctoMap
  Visualization library for the OctoMap library based on Qt and libQGLViewer.
  This package contains the tool for visualization. It's a viewer that lets
