=== debian/watch ===
# Watch control file for uscan
Version: 5

# For GitHub projects you can use the tags page:
Source: https://github.com/OctoMap/octomap/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
Dversion-Mangle: s/\+dfsg\d?$//
Repacksuffix: +dfsg
